### Virtual Method

# Gtk TreeViewrow_activated

deprecated: 4.10

#### Declaration [src]

    void
    row_activated (
      GtkTreeView* tree_view,
      GtkTreePath* path,
      GtkTreeViewColumn* column
    )

#### Description [src]

Activates the cell determined by `path` and `column`.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  The `GtkTreePath` to be activated.

  The data is owned by the caller of the function.

`column`

  Type: `GtkTreeViewColumn`

  The `GtkTreeViewColumn` to be activated.

  The argument can be `NULL`.
  The data is owned by the caller of the function.